org.keycloak.saml.validators

## Enum ConditionsValidator.Result

- java.lang.Object
- - java.lang.Enum<ConditionsValidator.Result>
  - - org.keycloak.saml.validators.ConditionsValidator.Result

- All Implemented Interfaces:
    Serializable, Comparable<ConditionsValidator.Result>
  Enclosing class:
    ConditionsValidator

      public static enum ConditionsValidator.Result
      extends Enum<ConditionsValidator.Result>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `INDETERMINATE`
    `INVALID`
    `VALID`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract ConditionsValidator.Result` | `joinResult(ConditionsValidator.Result otherResult)` Returns result as per Section 2.5.1.1
    `static ConditionsValidator.Result` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static ConditionsValidator.Result[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### VALID

          public static final ConditionsValidator.Result VALID

    - #### INDETERMINATE

          public static final ConditionsValidator.Result INDETERMINATE

    - #### INVALID

          public static final ConditionsValidator.Result INVALID

  - ### Method Detail

    - #### values

          public static ConditionsValidator.Result[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConditionsValidator.Result c : ConditionsValidator.Result.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConditionsValidator.Result valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### joinResult

          protected abstract ConditionsValidator.Result joinResult(ConditionsValidator.Result otherResult)

      Returns result as per Section 2.5.1.1
      Parameters:
        `otherResult` -
      Returns:

Copyright © 2021 JBoss by Red Hat. All rights reserved.